* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body{
    overflow-x: hidden; /* prevents horizontal scroll */
    font-family: Arial, sans-serif;
    background-image: url("images/hero.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-between;
}

.navbar {  
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(0,0,0,0.5);
}

.logo{
    padding: 0px;
    color: rgb(3, 100, 92);
    font-weight: bold;
    font-size: 25px;
    font-family: 'Times New Roman', Times, serif;
}

header{
    width: 100%;
    padding: 20px;
    display: flex;
    align-items: center;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 40px;
    
}

.nav-links a {
    color: white;
    text-decoration: none;
    font-family: 'Times New Roman', Times, serif;
}

.register {
    flex: 1;
    max-width: 500px;
    margin: 80px auto;
    background: rgba(0,0,0,0.6);
    padding: 40px 20px;
    border-radius: 10px;
    color: #fff;
    text-align: center;
}

.register h2 {
    font-size: 2rem;
    margin-bottom: 10px;
}

.register p {
    font-size: 1rem;
    margin-bottom: 30px;
}

.form-group {
    margin-bottom: 20px;
    text-align: left;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

.form-group input,
.form-group select {
    width: 95%;
    padding: 10px;
    border-radius: 6px;
    border: none;
    outline: none;
}

.btn-submit {
    width: 100%;
    padding: 12px;
    border: none;
    background: rgb(3, 100, 92);
    color: #fff;
    font-size: 1.1rem;
    border-radius: 6px;
    cursor: pointer;
    transition: background 0.3s;
}

.btn-submit:hover {
    background: rgb(4, 150, 130);
}

.footer {
    background: #111;
    color: #eee;
    text-align: center;
    padding: 20px;
}

.footer a {
    color: rgb(3, 100, 92);
    text-decoration: none;
    transition: color 0.3s;
    font-weight: bold;
}

/* MEDIA QUERIES */
@media (max-width: 768px) {
    .navbar{
       display: flex;
       flex-direction: column;
       gap: 10px;      
      /* align-items: flex-start; */
    } 
    .nav-links {
    gap: 20px;   
    }
    .footer {
        font-size: 0.85rem;
        padding: 15px;
    }
}

@media (max-width: 480px) {
    .btn-submit { font-size: 1rem; }
}